
%global meadversion 2.1.10
%global namedversion 2.1.10.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with integration
%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}wss4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.10.redhat-1

Name:           %{?scl_prefix}wss4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache WSS4J
Group:          Development/Java

%if %with mead
Source100: wss4j-2.1.10.redhat-1-scm-sources.zip
Source102: wss4j-ws-security-policy-stax-2.1.10.redhat-1-sources.jar
Source103: wss4j-ws-security-policy-stax-2.1.10.redhat-1.pom
Source104: wss4j-ws-security-policy-stax-2.1.10.redhat-1.jar
Source105: wss4j-ws-security-policy-stax-2.1.10.redhat-1-javadoc.jar
Source106: wss4j-parent-2.1.10.redhat-1.pom
Source107: wss4j-integration-2.1.10.redhat-1.jar
Source108: wss4j-integration-2.1.10.redhat-1.pom
Source109: wss4j-integration-2.1.10.redhat-1-sources.jar
Source110: wss4j-policy-2.1.10.redhat-1.pom
Source111: wss4j-policy-2.1.10.redhat-1.jar
Source112: wss4j-policy-2.1.10.redhat-1-javadoc.jar
Source113: wss4j-policy-2.1.10.redhat-1-sources.jar
Source114: wss4j-bindings-2.1.10.redhat-1-sources.jar
Source115: wss4j-bindings-2.1.10.redhat-1-javadoc.jar
Source116: wss4j-bindings-2.1.10.redhat-1.jar
Source117: wss4j-bindings-2.1.10.redhat-1.pom
Source118: wss4j-ws-security-common-2.1.10.redhat-1.pom
Source119: wss4j-ws-security-common-2.1.10.redhat-1-sources.jar
Source120: wss4j-ws-security-common-2.1.10.redhat-1-javadoc.jar
Source121: wss4j-ws-security-common-2.1.10.redhat-1.jar
Source122: wss4j-ws-security-dom-2.1.10.redhat-1-javadoc.jar
Source123: wss4j-ws-security-dom-2.1.10.redhat-1.pom
Source124: wss4j-ws-security-dom-2.1.10.redhat-1.jar
Source125: wss4j-ws-security-dom-2.1.10.redhat-1-sources.jar
Source126: wss4j-2.1.10.redhat-1.pom
Source127: wss4j-2.1.10.redhat-1-site.xml
Source128: wss4j-2.1.10.redhat-1-project-sources.tar.gz
Source129: wss4j-2.1.10.redhat-1-javadoc.jar
Source130: wss4j-ws-security-stax-2.1.10.redhat-1.jar
Source131: wss4j-ws-security-stax-2.1.10.redhat-1-javadoc.jar
Source132: wss4j-ws-security-stax-2.1.10.redhat-1.pom
Source133: wss4j-ws-security-stax-2.1.10.redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            http://ws.apache.org/wss4j/
Requires:       %{?scl_prefix}wss4j-bindings = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}wss4j-policy = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}wss4j-ws-security-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}wss4j-ws-security-dom = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}wss4j-ws-security-stax = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}wss4j-ws-security-policy-stax = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The Apache WSS4J project provides a Java implementation of the primary
security standards for Web Services, namely the OASIS Web Services
Security (WS-Security) specifications from the OASIS Web Services
Security TC.

%package -n %{?scl_prefix}wss4j-bindings
Summary:        Apache WSS4J WS-Security Bindings
Group:          Development/Java

Requires:       %{?scl_prefix_eap}xmlsec >= 0:2.0.4

%description -n %{?scl_prefix}wss4j-bindings
%{summary}.

%package -n %{?scl_prefix}wss4j-policy
Summary:        Apache WSS4J WS-SecurityPolicy model
Group:          Development/Java

Requires:       %{?scl_prefix_eap}neethi >= 0:3.0.3

%description -n %{?scl_prefix}wss4j-policy
%{summary}.

%package -n %{?scl_prefix}wss4j-ws-security-common
Summary:        Apache WSS4J WS-Security Common
Group:          Development/Java

# XXX: 1.7.9
Requires:       %{?scl_prefix_eap}slf4j-api >= 0:1.7.7
Requires:       %{?scl_prefix_eap}xmlsec >= 0:2.0.4
# XXX: 1.9.2
Requires:       %{?scl_prefix_eap}jasypt >= 0:1.9.1

%description -n %{?scl_prefix}wss4j-ws-security-common
%{summary}.

%package -n %{?scl_prefix}wss4j-ws-security-dom
Summary:        Apache WSS4J DOM WS-Security
Group:          Development/Java

Requires:       %{?scl_prefix_eap}wss4j-ws-security-common = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}wss4j-ws-security-dom
%{summary}.

%package -n %{?scl_prefix}wss4j-ws-security-stax
Summary:        Apache WSS4J Streaming WS-Security
Group:          Development/Java

Requires:       %{?scl_prefix_eap}wss4j-bindings = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}wss4j-ws-security-common = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}wss4j-ws-security-stax
%{summary}.

%if %with integration
%package -n %{?scl_prefix}wss4j-integration
Summary:        Apache WSS4J WS-Security Integration
Group:          Development/Java


%description -n %{?scl_prefix}wss4j-integration
%{summary}.
%endif

%package -n %{?scl_prefix}wss4j-ws-security-policy-stax
Summary:        Apache WSS4J Streaming WS-SecurityPolicy
Group:          Development/Java

Requires:       %{?scl_prefix_eap}wss4j-ws-security-stax = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}wss4j-policy = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}wss4j-ws-security-policy-stax
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wss4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wss4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wss4j-bindings-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-bindings-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wss4j-bindings-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wss4j-bindings-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-bindings-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-bindings-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/wss4j-policy-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-policy-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wss4j-policy-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wss4j-policy-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-policy-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-policy-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/wss4j-ws-security-common-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-ws-security-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wss4j-ws-security-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wss4j-ws-security-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-ws-security-common-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/wss4j-ws-security-common-%{namedversion}-tests.jar %{buildroot}%{_javadir}/wss4j-ws-security-common-%{namedversion}-tests.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-dom-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-ws-security-dom-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wss4j-ws-security-dom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wss4j-ws-security-dom-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-dom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-ws-security-dom-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/wss4j-ws-security-dom-%{namedversion}-tests.jar %{buildroot}%{_javadir}/wss4j-ws-security-dom-%{namedversion}-tests.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-stax-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-ws-security-stax-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wss4j-ws-security-stax-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wss4j-ws-security-stax-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-stax-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-ws-security-stax-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/wss4j-ws-security-stax-%{namedversion}-tests.jar %{buildroot}%{_javadir}/wss4j-ws-security-stax-%{namedversion}-tests.jar
%endif
%if %with integration
%{__cp} -p %{_sourcedir}/integration-%{namedversion}.jar %{buildroot}%{_javadir}/integration-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/integration-%{namedversion}-sources.jar %{buildroot}%{_javadir}/integration-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-policy-stax-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-ws-security-policy-stax-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wss4j-ws-security-policy-stax-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wss4j-ws-security-policy-stax-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wss4j-ws-security-policy-stax-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-ws-security-policy-stax-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wss4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/wss4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wss4j-%{namedversion} -x META-INF/\*
%{__ln_s} wss4j-ws-security-policy-stax-%{namedversion} %{buildroot}%{_javadocdir}/wss4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}wss4j
%defattr(0644,root,root,0755)
%doc ChangeLog.txt LICENSE NOTICE README.txt

%files -n %{?scl_prefix}wss4j-bindings
%defattr(0644,root,root,0755)
%{_javadir}/wss4j-bindings-%{namedversion}.jar
%{_javadir}/wss4j-bindings.jar
%if %with javadoc
%{_javadir}/wss4j-bindings-%{namedversion}-javadoc.jar
%{_javadir}/wss4j-bindings-javadoc.jar
%endif
%{_javadir}/wss4j-bindings-%{namedversion}-sources.jar
%{_javadir}/wss4j-bindings-sources.jar

%files -n %{?scl_prefix}wss4j-policy
%defattr(0644,root,root,0755)
%{_javadir}/wss4j-policy-%{namedversion}.jar
%{_javadir}/wss4j-policy.jar
%if %with javadoc
%{_javadir}/wss4j-policy-%{namedversion}-javadoc.jar
%{_javadir}/wss4j-policy-javadoc.jar
%endif
%{_javadir}/wss4j-policy-%{namedversion}-sources.jar
%{_javadir}/wss4j-policy-sources.jar

%files -n %{?scl_prefix}wss4j-ws-security-common
%defattr(0644,root,root,0755)
%{_javadir}/wss4j-ws-security-common-%{namedversion}.jar
%{_javadir}/wss4j-ws-security-common.jar
%if %with javadoc
%{_javadir}/wss4j-ws-security-common-%{namedversion}-javadoc.jar
%{_javadir}/wss4j-ws-security-common-javadoc.jar
%endif
%{_javadir}/wss4j-ws-security-common-%{namedversion}-sources.jar
%{_javadir}/wss4j-ws-security-common-sources.jar
%if %with tests
%{_javadir}/wss4j-ws-security-common-%{namedversion}-tests.jar
%{_javadir}/wss4j-ws-security-common-tests.jar
%endif

%files -n %{?scl_prefix}wss4j-ws-security-dom
%defattr(0644,root,root,0755)
%{_javadir}/wss4j-ws-security-dom-%{namedversion}.jar
%{_javadir}/wss4j-ws-security-dom.jar
%if %with javadoc
%{_javadir}/wss4j-ws-security-dom-%{namedversion}-javadoc.jar
%{_javadir}/wss4j-ws-security-dom-javadoc.jar
%endif
%{_javadir}/wss4j-ws-security-dom-%{namedversion}-sources.jar
%{_javadir}/wss4j-ws-security-dom-sources.jar
%if %with tests
%{_javadir}/wss4j-ws-security-dom-%{namedversion}-tests.jar
%{_javadir}/wss4j-ws-security-dom-tests.jar
%endif

%files -n %{?scl_prefix}wss4j-ws-security-stax
%defattr(0644,root,root,0755)
%{_javadir}/wss4j-ws-security-stax-%{namedversion}.jar
%{_javadir}/wss4j-ws-security-stax.jar
%if %with javadoc
%{_javadir}/wss4j-ws-security-stax-%{namedversion}-javadoc.jar
%{_javadir}/wss4j-ws-security-stax-javadoc.jar
%endif
%{_javadir}/wss4j-ws-security-stax-%{namedversion}-sources.jar
%{_javadir}/wss4j-ws-security-stax-sources.jar
%if %with tests
%{_javadir}/wss4j-ws-security-stax-%{namedversion}-tests.jar
%{_javadir}/wss4j-ws-security-stax-tests.jar
%endif

%if %with integration
%files -n %{?scl_prefix}wss4j-integration
%defattr(0644,root,root,0755)
%{_javadir}/integration-%{namedversion}.jar
%{_javadir}/integration.jar
%{_javadir}/integration-%{namedversion}-sources.jar
%{_javadir}/integration-sources.jar
%endif

%files -n %{?scl_prefix}wss4j-ws-security-policy-stax
%defattr(0644,root,root,0755)
%{_javadir}/wss4j-ws-security-policy-stax-%{namedversion}.jar
%{_javadir}/wss4j-ws-security-policy-stax.jar
%if %with javadoc
%{_javadir}/wss4j-ws-security-policy-stax-%{namedversion}-javadoc.jar
%{_javadir}/wss4j-ws-security-policy-stax-javadoc.jar
%endif
%{_javadir}/wss4j-ws-security-policy-stax-%{namedversion}-sources.jar
%{_javadir}/wss4j-ws-security-policy-stax-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wss4j-%{namedversion}
%{_javadocdir}/wss4j
%endif

%changelog
* Tue Jul 25 2017 Petr Sakar <psakar@redhat.com> - 2.1.10-1.redhat_1.1
- upgrade to 2.1.10.redhat-1

* Wed Apr 26 2017 Martin Minar <mminar@redhat.com> - 2.1.9-1.redhat_1.1
- update to version 2.1.9

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 2.1.8-1.redhat_1.1
- upgrade to 2.1.8.redhat-1

* Tue Nov 08 2016 Petr Sakar <psakar@redhat.com> - 2.1.7-1.redhat_1.1
- upgrade to 2.1.7.redhat-1

* Mon Nov 07 2016 Petr Sakar <psakar@redhat.com> - 2.1.6-1.redhat_1.1
- upgrade to 2.1.6.redhat-1

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.5-1.redhat_1.1
- Upgrade to 2.1.5

* Mon Dec 14 2015 Yong Yang <yyang@redhat.com> - 2.1.4-1.redhat_1.1
- Upgrade to 2.1.4.redhat-1

* Wed Aug 26 2015 Hui Wang <huwang@redhat.com> - 2.1.2-1.redhat_1.1
- Upgrade to 2.1.2.redhat-1

* Tue Jul 14 2015 Fernando Nasser <fnasser@redhat.com> - 2.0.4-2.redhat_2.1
- Fix requires for subpackage

* Tue Jul 07 2015 David Walluck <dwalluck@redhat.com> - 2.0.4-1.redhat_2.1
- release

* Tue Jul 07 2015 David Walluck <dwalluck@redhat.com> - 2.0.4-1.redhat_1.1
- release

